# 基于java镜像创建新镜像
FROM java:8
# 作者
MAINTAINER xiaose

RUN mkdir -p /bcrjl/miwifi-agent

WORKDIR /bcrjl/miwifi-agent

EXPOSE 24317

ADD ./target/miwifi-agent.jar /bcrjl/miwifi-agent/miwifi-agent.jar

ENV BMW_URL = 192.168.31.1
ENV BMW_PASSWORD = 123456
ENV WEB_PASSWORD = 123456

CMD java -Djava.security.egd=file:/dev/./urandom -jar /bcrjl/miwifi-agent/miwifi-agent.jar --bmw.url=$BMW_URL --bmw.password=$BMW_PASSWORD --bmw.web-password=$WEB_PASSWORD

